# Usage

```
cd solver_soft
make
./sim.exe < input-Q-file(.txt) [-s seed-value] [-o output-A-file(.txt)]
```

# Limits of the solver

|パラメタ|上限値|
|---|---|
|ブロック数|128|
|ライン数|256|
|盤面サイズ(探索時)|128X128|

# ToDo

* ブロックを詰める作業の精度向上(現状，右下にスペースが生まれるような結果になりやすい)
* ~~端点を含まないブロックへの対応~~
* 組み込みシステム(PYNQ)上での実行→Python3からsolverを呼び出すコードを開発
* Ubuntu上でソルバを動作させたときの実行時間計測(NotePC, PYNQ-Z1)
* ソルバのハードウェア化
* 求解途中であっても解を出力できるようにする

# Update log
* 2019/08/09
  * **ブロックを詰める作業の精度向上**
  * **ソフトウェア実験**
  * 同時に移動させるブロック数を全体の10%程度となるよう変更
  * 1ブロックの最大移動距離(同一フェーズ内)を10セルに制限